//	Release Version:	$ ODF 2 $
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.

#ifndef FRAME_H
#define FRAME_H

//=======================================================================
// ----- Framework Includes -----
#ifndef FWFRAME_H
#include <FWFrame.h>		// FW_CFrame
#endif

//=======================================================================
class CWindoidPart;

//===========================================================================
class CMainFrame : public FW_CFrame {
public:
	FW_DECLARE_AUTO(CMainFrame)
						CMainFrame(Environment* ev, ODFrame* odFrame, 
									FW_CPresentation* presentation, 
									CWindoidPart* windoidPart);
	virtual 			~CMainFrame();
protected:
	// overrides
	virtual void		Draw(Environment *ev, ODFacet* odFacet, 
							 			ODShape* invalidShape);
};

//===========================================================================
class CPaletteFrame : public FW_CFrame {
public:
	FW_DECLARE_AUTO(CPaletteFrame)
						CPaletteFrame(Environment* ev, ODFrame* odFrame, 
										FW_CPresentation* presentation, 
										CWindoidPart* windoidPart);
	virtual 			~CPaletteFrame();
protected:
// overrides
	virtual void		Draw(Environment *ev, ODFacet* odFacet, 
								ODShape* invalidShape);
	virtual FW_Handled 	DoMouseDown(Environment* ev, 
								const FW_CMouseEvent& theMouseEvent);
	FW_Boolean			FindCell(const FW_CPoint& where, unsigned short& row, 
											unsigned short& column) const;
	void				GetCellRectangle(unsigned short row, 
							unsigned short column, FW_CRect& rect) const;
// new members
private:
	CWindoidPart* 		fWindoidPart;
	ODSShort 			fSelectedRow;
	ODSShort  			fSelectedCol;
};

//=======================================================================
#endif
